/************************************************************

  poscol.h

************************************************************/
#ifndef poscol_flag 
#define poscol_flag

/*
  mue0: electron mobility (-torr at 300K) 
  Ptorr: Gas pressure in Torr. 
  Ti: Gas (and ion) temperature in K. 
  mui0: Ion mobility (-torr at 300K).
*/
extern FILE *LOGFILE;
extern unsigned int Nr, Nu;
extern unsigned int Nion, Nex;
extern double R, uMAX;
extern double I0, I; 
extern double Ti, Ptorr;
extern double mue0, mui0, m_N, qi, Cl, tau;
extern double mue, mui;
extern double nN, kappa, tau_z;
extern double_fn q_mom;
extern dblptr *E_ion, *E_ex;
extern double_fn_ptr Q_ion, Q_ex;
extern string *Ex_targets, *Ex_products, *Ion_targets, *Ion_products;
extern axis_ptr axu, axr, axr_config;
extern dblptr Ex_loss_rates;
extern dblptr u, one_u, v, vs, one_del_u, one_v;
extern dblptr one_del_2u, one_del_r, one_del_2r, v_2u;
extern MD_FCT_species_ptr etasp, Xrsp, Xzsp, nisp, Gammaisp, Ersp, Ezsp, nNsp;
extern MD_FCT_species_ptr GammaNsp, uNsp, tsp;
extern geometry_ptr configuration_space, phase_space;
extern dblptr ne, Gammae, UTIL;
extern dblptr Gammae_av, Er_av, j_ue_av;
extern unsigned int axu_factor, axr_factor;
extern bool test;
extern double Dex(double), Di(double), get_Ti(double, double);
extern MD_FCT_vel_list_rec_ptr eta_r_vel, eta_u_vel, Xr_r_ad_vel, Xr_u_ad_vel, Xr_r_con_vel, Xr_u_con_vel;
extern MD_FCT_vel_list_rec_ptr Xz_r_ad_vel, Xz_u_ad_vel, Xz_r_con_vel, Xz_u_con_vel;

#endif
